@echo OFF
rem  * *******************************************************************
rem  *               JCLALTE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * This procedure calls the following Windows Command Files.
rem  * 1. Env1Base.CMD - this provides a single point for setting commonly
rem  *    used environment variables.
rem  * 2. SimoNOTE.CMD - this provides a consistent process for displaying
rem  *    messages to the screen and writing to a journal or log file.
rem  * ************************************************************************
     set CmdName=JCLALTE1
     call ..\Env1Base
     set JobStatus=0000
rem  *
     call SimoNOTE "*******************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%.CMD"
rem  *
rem  * Set the environment variable to use the default directives file.
     set DIRGET=%BaseLib1%\JCL
     set DIRPUT=%BaseLib1%\DATA\Wrk2
     set DIRLIST=%BaseLib1%\Adm1\DATA\Wrk1\SIMOTIME.WORK.JCLALTL1.LST
rem  *
     dir /B /A-D /ONE %DIRGET%\*.JCL  >%DIRLIST%
     echo * Review the following listing before continuing...
     start notepad %DIRLIST%
     call SIMONOTE "JCL List is displayed in a separate window,"
     call SIMONOTE "Press space bar to contine..."
     call SIMONOTE "LIBRTAKE is %DIRGET%"
     call SIMONOTE "LIBRMAKE is %DIRPUT%"
     call SIMONOTE "JCL List is displayed in a separate window..."
     pause
rem  *
     set AOK_Count=0
     set NOK_Count=0
     set JCSCANBF=00000000
     set SCANMODE=PLUSPLUS
     set SCANJLIB=SIMOTIME.PDS.JCLINC
     for /F %%i in (%DIRLIST%) do call JCLALTEZ %%i
     call SIMONOTE "LIBRTAKE is %DIRGET%"
     call SIMONOTE "LIBRMAKE is %DIRPUT%"
rem  *
     call SimoNOTE "AOKcount Count for AOK is %AOK_Count% "
     call SimoNOTE "NOKcount Count for NOK is %NOK_Count% "
     call SimoNOTE "Finished JobName %CmdName%.CMD RC=%JobStatus%"
     if not "%SimoGENS%" == "BATCH" pause
